# Commandes de la ligne de commande

CdC, accepte les options suivantes en ligne de commande :

Option | Paramètres | Fonction
--- | --- | ---
--config | chemin du fichier de configuration | Permet de spécifier le fichier de configuration à utilisé a la place de ”%LOCALAPPDATA%\skychart\skychart.ini” ou ”~/.skychart/skychart.ini”
--loaddef | nom_fichier | Même chose que la commande du serveur LOADDEFAULT Utilisez cette option pour charger un extrait du fichier de configuration skychart.ini
--unique |  | Ne lance pas le programme si une autre instance est déjà active mais passe les nouvelles options à l'instance en cours
--quit |  | S'utilise avec l'option --unique pour fermer l'instance en cours, ou pour quitter immédiatement.
--nosplash |  | Ne montre pas l'écran de démarrage
--daemon |  | Lance le programme en arrière plan sans montrer la fenêtre principale
--nosave |  | N'enregistre pas les options en quittant. Utile avec --loaddef
Options concernant la première carte active
--load | nom_fichier | Même chose que la commande du serveur LOAD Utilisez cette option pour charger un modèle avec les options que vous ne pouvez pas modifier ici.
--search | nom_objet | Même chose que la commande du serveur SEARCH
--setproj | ALTAZ/EQUAT/GALACTIC/ECLIPTIC | Même chose que la commande du serveur SETPROJ
--setfov | 00d00m00s or 00.00 | Même chose que la commande du serveur SETFOV
--setra | RA:00h00m00s or RA:00.00 | Même chose que la commande du serveur SETRA
--setdec | DEC:+00d00m00s or DEC:00.00 | Même chose que la commande du serveur SETDEC
--setobs | LAT:+00d00m00sLON:+000d00m00sALT:000mOBS:name | Même chose que la commande du serveur SETOBS
--settz | Etc/GMT | Même chose que la commande du serveur SETTZ
--setdate | yyyy-mm-ddThh:mm:ss or "yyyy-mm-dd hh:mm:ss" | Même chose que la commande du serveur SETDATE
--setcat | "path shortname active min max " | Même chose que la commande du serveur SETCAT
--resize | "largeur hauteur" | Même chose que la commande du serveur RESIZE
--dss |  | Même chose que la commande du serveur PDSS
--saveimg | "PNG/JPEG/BMP Fichiername quality" | Même chose que la commande du serveur SAVEIMG
--print | "PRT/PS/BMP PORTRAIT/LANDSCAPE COLOR/BW filepath" | Même chose que la commande du serveur PRINT

Attention, contrairement aux commandes envoyée par TCP/IP, les options et les paramètres sont séparés par le signe "=" sans aucun espace. Si la valeur du paramètre contient des espaces il doit être entouré de doubles guillemets "".

Sous Unix vous pouvez envoyer un signal au programme avec la commande kill :

Signal | Action
--- | ---
1, HUP | Recharge la carte et les options par défaut
15, TERM | Ferme le programme proprement

## Example d'automatisation utilisant la ligne de commande

L'automatisation se fait normalement en envoyant des commandes par la connexion TCP/IP Mais dans certain cas il est plus simple d'utiliser uniquement la ligne de commande.

Lancer l'instance principale :
# skychart --unique

Définir la taille de l'image :
# skychart --unique --resize="1024 768"

Ensuite cette commande affiche une carte de Messier 1 sans ouvrir de nouvelle fenêtre:
# skychart --unique --setfov=3 --setproj=EQUAT --search=M1

Enregistrer l'image:
#skychart --unique --saveimg="PNG /tmp/m1.png"

Il est possible de répéter avec d'autres objets. Quand on a terminé on peut fermer la fenêtre principale:
# skychart --unique --quit

Il est aussi possible de tout faire d'un coup et de quitter, sans rien afficher à l'écran. C'est utile si on ne veut qu'une seule image:
#skychart --nosplash --daemon --resize="1024 768" --setfov=3 --setproj=EQUAT --search=M1 --saveimg="PNG /tmp/m1.png" --quit